Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.reflection
Class StringSearchResult

    java.lang.Object
      org.pentaho.di.core.reflection.StringSearchResult

    public class StringSearchResult

extends Object

Constructor Summary
`StringSearchResult(String string, Object parentObject, Object grandParentObject, String fieldName)`

Method Summary
`String` | `getFieldName()`
`Object` | `getGrandParentObject()`
`Object` | `getParentObject()`
`static org.pentaho.di.core.row.RowMetaInterface` | `getResultRowMeta()`
`String` | `getString()`
`void` | `setFieldName(String fieldName)`
`void` | `setGrandParentObject(Object grandParentObject)`
`void` | `setParentObject(Object parentObject)`
`void` | `setString(String string)`
`Object[]` | `toRow()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringSearchResult

    public StringSearchResult(String string,
                              Object parentObject,
                              Object grandParentObject,
                              String fieldName)

Parameters:
  `string` -
  `parentObject` -

Method Detail

### getParentObject

    public Object getParentObject()

### setParentObject

    public void setParentObject(Object parentObject)

### getString

    public String getString()

### setString

    public void setString(String string)

### getResultRowMeta

    public static final org.pentaho.di.core.row.RowMetaInterface getResultRowMeta()

### toRow

    public Object[] toRow()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getFieldName

    public String getFieldName()

  Returns:
    Returns the fieldName.

### setFieldName

    public void setFieldName(String fieldName)

  Parameters:
    `fieldName` - The fieldName to set.

### getGrandParentObject

    public Object getGrandParentObject()

  Returns:
    the grandParentObject

### setGrandParentObject

    public void setGrandParentObject(Object grandParentObject)

  Parameters:
    `grandParentObject` - the grandParentObject to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD